function runscript()
	storewindow();
	graphic("bazooka");
	speaker("");
	musvol(0);
	sound("getitem", CHAN_SCRIPTED);
	timedsay("Obtained the Bazooka!", 200);
	say("The Bazooka can be fired by pressing [Attack].");
	say("It launches Missiles that do massive damage!");
	say("You can also destroy blocks with a Missile pattern on them.");
	say("Select the Bazooka from your inventory by pressing the [Inventory] button.");
	say("You can also switch between your weapons by pressing [Next Weapon] and [Previous Weapon] buttons.");
	musvol(100);
	musres();
	giveweapon(WEAPON_BAZOOKA);
	maxmissiles(5);
	fillmissiles();
	restorewindow();
	destroy ("bazooka");
end